#ifndef __gloablData__
#define __globalData__

#include <stdio.h>
#include <iostream>
#include <string>
#include "TSemaphore.h"

using namespace std; 
 
typedef struct globalData{
 
	// configuration variables //
	float  gFileVersion;
	string gDatabaseName;
	string gMySqlServerHost;
	string gMySqlUserName;
	string gMySqlPassword;

	bool extrThrRun_FLAG;		// Flag to quit the extractionthread
	int extrThrWork_FLAG;		// Flag to start and stop the extractionthread
};

extern globalData gD;			//define the external variable name of globalData for the modules

extern TSemaphore *sema_gD;
extern TSemaphore *sema_end;

#endif
